Name:           teg
Version:        0.11.2
Release:        21%{?dist}
Summary:        Turn based strategy game
Group:          Amusements/Games
License:        GPLv2
URL:            http://teg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        fedora-teg.desktop
Patch0:         teg_libxml.patch
#Patch1:         teg_themes.patch
#Patch2:         teg-disable-help.patch
Source2:         teg-fix-help.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tidy pkgconfig glib2-devel libxml2-devel libgnomeui-devel
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires: desktop-file-utils
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Empanadas Graciela is a clone of Plan Táctico y Estratégico de la 
Guerra, a turn based strategy game. Some rules are different.

%prep
%setup -q 
%patch0 -p1
#%patch2 -p1
for file in AUTHORS COPYING README TODO PEOPLE ChangeLog; do
    iconv -f iso8859-1 -t utf-8 < $file > $file.$$
    mv -f $file.$$  $file
done

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.defaults
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
mv -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/teg_icono.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/teg.png
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Games/teg.desktop
desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications %{SOURCE1}
patch -p1 < %{SOURCE2}
mv -f $RPM_BUILD_DIR/%{?buildsubdir}/docs/gnome-help/C/teg.sgml $RPM_BUILD_ROOT/%{_datadir}/gnome/help/teg/C/teg.xml

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO PEOPLE ChangeLog
%{_bindir}/tegrobot
%{_bindir}/tegclient
%{_bindir}/tegserver
%{_datadir}/pixmaps/teg_pix/
%{_datadir}/pixmaps/teg.png
%{_datadir}/gnome/help/teg/
%{_datadir}/applications/fedora-teg.desktop
%{_sysconfdir}/gconf/schemas/teg.schemas

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/teg.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/teg.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/teg.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 17 2009 josef radinger <cheese@nosuchhost.net>
- 0.11.2-20
- fix and reenable help

* Sat Jul 11 2009 josef radinger <cheese@nosuchhost.net>
- 0.11.2-19
- fix and reenable help

* Sat Jun 27 2009 josef radinger <cheese@nosuchhost.net>
- 0.11.2-18
- disable help

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 22 2008 josef radinger <cheese@nosuchhost.net>
- 0.11.2-16
- move icons file to /usr/share/pixmaps/

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 
- 0.11.2-15
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-14
- actually execute cosmetic fix in spec-description

* Fri Jan 18 2008 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-13
- cosmetic fix in spec-description

* Tue Jan 15 2008 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-12
- fresh rebuild

* Tue Jan 15 2008 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-11
- fresh rebuild

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-10
- disable additional themes

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-9
- move desktop-icon to /usr/share/icons/hicolor/48x48/apps/teg.png
- added scripts for updateing icon-cache

* Wed Nov 21 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-8
- enable more themes

* Tue Nov 20 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-7
- "install -p" as option at installing
- "cleaner" files-section
- correct sourceforge-link

* Sat Nov 17 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-6
- reenable schemas
- buildrequires for desktop-file-utils
- use desktopfile-install
- own directories
- more files in doc

* Sat Oct 14 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-5
- better Summary, added TODO to docs
- add full path to sources
- correct perl-dependency
- new desktop.file
- no more use of makeinstall-macro
- todo:
- desktop.file gets installed correct now

* Sat Sep 14 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-4
- removed "macro" from changelog
- Correct License-Tag to GPLv2
- better spec-file

* Sat Aug 25 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-3
- desktop-file
- addded post postun macros
- added some deps

* Mon Aug 06 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-2
- encode description in utf-8 
- remove /etc/gconf-files (as life-files dont seem to get incorporated by rpms)

* Mon Aug 06 2007 josef radinger <cheese@nosuchhost.net> 
- 0.11.2-1
- initial version 

